> For the complete documentation index, see [llms.txt](https://docs.panther.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.panther.com/ko/data-onboarding/supported-logs/syslog.md).

# Syslog 로그

## 개요

Panther는 공통 방식을 통해 Syslog 로그 수집을 지원합니다 [데이터 전송](/ko/data-onboarding/data-transports.md) 옵션: Amazon Web Services(AWS) S3, SQS, CloudWatch.

## Panther에 Syslog 로그를 온보딩하는 방법

이 로그를 Panther에 연결하려면:

1. Panther 콘솔의 왼쪽 탐색 표시줄에서 다음을 클릭합니다: **구성** > **로그 소스**.
2. 다음을 클릭합니다: **새로 만들기**.
3. 온보딩하려는 로그 유형을 검색한 다음 해당 타일을 클릭합니다.
4. 이 통합에 사용할 데이터 전송 방법을 선택한 다음, 해당 방법을 구성하기 위한 Panther의 지침을 따르세요:
   * [AWS CloudWatch](/ko/data-onboarding/data-transports/aws/cloudwatch.md)
   * [AWS SQS](/ko/data-onboarding/data-transports/aws/sqs.md)
   * [AWS S3 버킷](/ko/data-onboarding/data-transports/aws/s3.md)
5. Syslog가 로그를 Data Transport 소스로 푸시하도록 구성합니다.
   * 선택한 Data Transport 소스로 로그를 푸시하는 방법은 Syslog 문서를 참고하세요.

{% hint style="info" %}
Syslog 온보딩 구현은 로그 포워더 사용에 달려 있습니다.
{% endhint %}

## 지원되는 로그 유형

{% hint style="info" %}
Fluentd를 통해 수집된 Syslog 로그의 경우, 다음을 참고하세요. [Fluentd Syslog 스키마](/ko/data-onboarding/supported-logs/fluentd.md#supported-log-types).
{% endhint %}

### Syslog.RFC3164

RFC3164 형식용 Syslog 파서(즉, BSD-syslog 메시지)

참조: [RFC3164 BSD 프로토콜에 대한 Syslog 문서.](https://datatracker.ietf.org/doc/html/rfc3164)

```yaml
스키마: Syslog.RFC3164
설명: RFC3164 형식용 Syslog 파서(즉, BSD-syslog 메시지)
referenceURL: https://tools.ietf.org/html/rfc3164
fields:
    - name: priority
      required: true
      설명: 우선순위는 (Facility * 8 + Severity)로 계산됩니다. 이 값이 낮을수록 로그 메시지의 중요도가 높습니다.
      유형: smallint
    - 이름: facility
      required: true
      설명: 'Facility 값은 어떤 프로세스가 메시지를 생성했는지 판단하는 데 도움이 됩니다. 예: 0 = 커널 메시지, 3 = 시스템 데몬.'
      유형: smallint
    - 이름: severity
      required: true
      설명: 'Severity는 메시지의 심각도를 나타냅니다. 예: 0=Emergency에서 7=Debug까지.'
      유형: smallint
    - 이름: timestamp
      설명: UTC 기준 syslog 메시지의 타임스탬프입니다.
      type: timestamp
      timeFormats:
        - rfc3339
        - '%b  %d %H:%M:%S'
      isEventTime: true
    - 이름: hostname
      설명: Hostname은 원래 syslog 메시지를 보낸 컴퓨터를 식별합니다.
      type: string
      표시자:
        - 호스트 이름
    - 이름: appname
      설명: Appname은 syslog 메시지를 생성한 장치 또는 애플리케이션을 식별합니다.
      type: string
    - 이름: procid
      설명: ProcID는 종종 프로세스 ID이지만, 로그 분석기가 syslog 보고의 불연속성을 감지할 수 있도록 사용하는 임의의 값일 수도 있습니다.
      type: string
    - 이름: msgid
      설명: MsgID는 메시지 유형을 식별합니다. 예를 들어, 방화벽은 수신 TCP 트래픽에 대해 MsgID 'TCPIN'을 사용할 수 있습니다.
      type: string
    - name: message
      설명: Message에는 이벤트에 대한 정보를 제공하는 자유 형식의 텍스트가 포함됩니다.
      type: string
```

### Syslog.RFC5424

RFC5424 형식용 Syslog 파서.

참조: [RFC5424 프로토콜에 대한 Syslog 문서.](https://datatracker.ietf.org/doc/html/rfc5424)

```yaml
스키마: Syslog.RFC5424
설명: RFC5424 형식용 Syslog 파서.
referenceURL: https://tools.ietf.org/html/rfc5424
fields:
    - name: priority
      required: true
      설명: 우선순위는 (Facility * 8 + Severity)로 계산됩니다. 이 값이 낮을수록 로그 메시지의 중요도가 높습니다.
      유형: smallint
    - 이름: facility
      required: true
      설명: 'Facility 값은 어떤 프로세스가 메시지를 생성했는지 판단하는 데 도움이 됩니다. 예: 0 = 커널 메시지, 3 = 시스템 데몬.'
      유형: smallint
    - 이름: severity
      required: true
      설명: 'Severity는 메시지의 심각도를 나타냅니다. 예: 0=Emergency에서 7=Debug까지.'
      유형: smallint
    - 이름: version
      required: true
      설명: syslog 메시지 프로토콜의 버전입니다. RFC5424는 버전이 0일 수 없다고 명시하므로, 0 값은 버전이 없음을 나타냅니다.
      유형: int
    - 이름: timestamp
      설명: UTC 기준 syslog 메시지의 타임스탬프입니다.
      type: timestamp
      timeFormats:
        - rfc3339
      isEventTime: true
    - 이름: hostname
      설명: Hostname은 원래 syslog 메시지를 보낸 컴퓨터를 식별합니다.
      type: string
      표시자:
        - 호스트 이름
    - 이름: appname
      설명: Appname은 syslog 메시지를 생성한 장치 또는 애플리케이션을 식별합니다.
      type: string
    - 이름: procid
      설명: ProcID는 종종 프로세스 ID이지만, 로그 분석기가 syslog 보고의 불연속성을 감지할 수 있도록 사용하는 임의의 값일 수도 있습니다.
      type: string
    - 이름: msgid
      설명: MsgID는 메시지 유형을 식별합니다. 예를 들어, 방화벽은 수신 TCP 트래픽에 대해 MsgID 'TCPIN'을 사용할 수 있습니다.
      type: string
    - 이름: structured_data
      설명: StructuredData는 정보를 잘 정의되고 쉽게 파싱 가능한 형식으로 표현할 수 있는 메커니즘을 제공합니다.
      유형: json
    - name: message
      설명: Message에는 이벤트에 대한 정보를 제공하는 자유 형식의 텍스트가 포함됩니다.
      type: string
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.panther.com/ko/data-onboarding/supported-logs/syslog.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
